Skip to content

Pending verification request

/me/pending_verification_request

Target audience: Developers

Release version: 4.9.24

Pending verification request

Introduction

This endpoint returns the pending verification request for the authenticated account. If no pending request exists, the response will indicate whether the account is already verified or has no pending request.

URI

Environment URI
Stage https://payway-api.stage.adeprimo.se/external/api/v1/me/pending_verification_request
Production https://backend.worldoftulo.com/external/api/v1/me/pending_verification_request

Requirements

Identity Scope
Yes /external/me/r

Parameters

This endpoint does not require any parameters. The account is identified by the identity in the access token.

Curl Example

curl --request GET \
  --url https://payway-api.stage.adeprimo.se/external/api/v1/me/pending_verification_request \
  --header 'accept: application/json' \
  --header 'authorization: Bearer <access_token_with_identity>'

Response

Field Description
id The id of the verification request (only present if a pending request exists)
account_id The id of the account
status The status of the request: "pending", "verified" or "no_pending_request"
expires_at Timestamp for when the verification request expires (only present if pending request exists)
created_at Timestamp for when the verification request was created (only present if pending request exists)
verified Whether the account is verified

Example response - pending request

HTTP 200
{
  "item": {
    "id": "5caf3c206e95528fe2943abe",
    "account_id": "5c6291d537c2ed78a11518b7",
    "status": "pending",
    "expires_at": "2024-01-15 12:00:00 UTC",
    "created_at": "2024-01-14 12:00:00 UTC",
    "verified": false
  }
}

Example response - no pending request

HTTP 200
{
  "item": {
    "account_id": "5c6291d537c2ed78a11518b7",
    "status": "no_pending_request",
    "verified": false
  }
}

Example response - already verified

HTTP 200
{
  "item": {
    "account_id": "5c6291d537c2ed78a11518b7",
    "status": "verified",
    "verified": true
  }
}

Errors

HTTP 400 Bad Request

Name Type Description
unknown_parameter Object One or more of the fields in the posted json was not recognized

HTTP 404 Not Found

Name Type Description
not_found Object The account could not be found

HTTP 500 Internal Server Error

Name Type Description
internal_server_error Object Something unexpected happened server side